## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global AName GitQlient

Name:       gitqlient
Version:    1.6.2
Release:    %autorelease
Summary:    Multi-platform Git client written with Qt

# Required 'qt5-qtwebengine' which is not available on some arches.
# https://src.fedoraproject.org/rpms/qt5-qtwebengine/blob/rawhide/f/qt5-qtwebengine.spec#_113
ExclusiveArch: %{qt5_qtwebengine_arches}

License:    LGPLv2+
URL:        https://github.com/francescmm/GitQlient
Source0:    %{url}/releases/download/v%{version}/%{name}_%{version}.tar.gz

BuildRequires: gcc-c++
BuildRequires: desktop-file-utils
BuildRequires: git-core

BuildRequires: pkgconfig(Qt5)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Widgets)

Requires:   git-core
Requires:   hicolor-icon-theme
Requires:   qt5-qtsvg

%description
GitQlient, pronounced as git+client (/gɪtˈklaɪənt/) is a multi-platform Git
client originally forked from QGit. Nowadays it goes beyond of just a fork and
adds a lot of new functionality.

Some of the major feature you can find are:

  * Easy access to remote actions like: push, pull, submodules management and
    branches
  * Branches management
  * Tags and stashes management
  * Submodules handling
  * Allow to open several repositories in the same window
  * Better visualization of the commits and the work in progress
  * Better visualization of the repository view
  * GitHub/GitLab integration
  * Embedded text editor with syntax highlight for C++


%prep
%autosetup -n %{name}_%{version}


%build
%qmake_qt5 \
    PREFIX=%{_prefix} \
    %{AName}.pro \
    %{nil}
%make_build


%install
%make_install INSTALL_ROOT=%{buildroot}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.{png,svg}


%changelog
* Sat Sep 09 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.2-1
- chore: Update to 1.6.2

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 13 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.1-1
- build: Update to 1.6.1

* Fri Sep 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.0-2
- build: Add qt5-qtsvg dep | rhbz#2001086

* Thu Sep 29 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.0-1
- chore(update): 1.5.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Aug 30 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.3-1
- build(update): 1.4.3

* Sat Aug 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.1-1
- build(update): 1.4.1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 11 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.0-1
- build(update): 1.4.0

* Tue Apr 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.2-1
- Initial package

